package org.springblade.audit.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.springblade.audit.entity.IntBalanceDetail;
import org.springblade.audit.mapper.IntBalanceDetailMapper;
import org.springblade.audit.service.IIntBalanceDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * PRM发布表 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-12-29
 */
@Service
@DS("oracle143")
public class IntBalanceDetailServiceImpl extends ServiceImpl<IntBalanceDetailMapper, IntBalanceDetail> implements IIntBalanceDetailService {

	@Autowired
	private IntBalanceDetailMapper intBalanceDetailMapper;

	@Override
	public void giveSpidSoul(String theMonth) {
		intBalanceDetailMapper.giveSpidSoul(theMonth);
	}

	@Override
	public void deleteZeroMoney(String theMonth) {
		intBalanceDetailMapper.deleteZeroMoney(theMonth);
	}

	@Override
	public void giveSpidSoulTwo(String theMonth) {
		intBalanceDetailMapper.giveSpidSoulTwo(theMonth);
	}

	@Override
	public void deleteNoSpid(String theMonth) {
		intBalanceDetailMapper.deleteNoSpid(theMonth);
	}

	@Override
	public void settingFileTag(String theMonth) {
		intBalanceDetailMapper.settingFileTag(theMonth);
	}
}
